@charset "UTF-8";

table {
    border-collapse: collapse;
    width: fit-content;
}

th,
td {
    padding: 8px;
/*    border-bottom: 1px solid #ddd; */
    text-align: left;
    vertical-align: middle;
}

th {
    font-weight: bold;
}

tr:hover {
    background-color: rgb(237, 241, 255);
}

.inline {
    display: inline;
}


/* Style the button that is used to open and close the collapsible content */
.collapsible-debug {
    background-color: #eee;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
}

/* Add a background color to the button if it is clicked on (add the .active class with JS), and when you move the mouse over it (hover) */
.active,
.collapsible:hover {
    background-color: #ccc;
}

/* Style the collapsible content. Note: hidden by default */
.debug {
    padding: 0 18px;
    display: none;
    overflow: hidden;
    background-color: #f1f1f1;
}

.collapsible:after {
    content: '\02795';
    /* Unicode character for "plus" sign (+) */
    font-size: 13px;
    color: white;
    float: right;
    margin-left: 5px;
}

.active:after {
    content: "\2796";
    /* Unicode character for "minus" sign (-) */
}

.hidden {
    display: none;
}

.centre {
    padding: 12px 0;
    margin-left: auto;
    margin-right: auto;
    text-align: left;
}

.webauthn-table-button {
    background-color: rgb(221, 5, 0);
    background-image: url(/idp/images/icon-garbage-bin.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 64%;
    border-color: rgb(221, 5, 0);
    padding: 22px;
}
.webauthn-table-button:hover,
.webauthn-table-button:focus {
    background-image: url(/idp/images/icon-garbage-bin.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 74%;
}

.authenticator-logo {
    vertical-align: middle;
    width: 2.5em;
}

.label {
    color: white;
    padding: 5px;
    font-size: 75%;
}

.info {
    background-color: #2196F3;
}

.update-btn {
    display: inline-flex;
    align-items: center;
    font-size: 10px;
    padding: 2px 6px;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    gap: 4px;
}

.nickname-input {
    padding: 4px 6px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 4px;
    width: 100px;
}

.update-nickname-form {
    display: flex;
    gap: 1px;
}

.update-icon {
    width: 15px;
    height: 25px;
}

@media screen and (max-width: 759px) {
  .webauthn-register-button {
    padding: 11px 61px;
  }
}

@media screen and (max-width: 479px) {
  .webauthn-register-button {
    padding: 11px 29px;
  }
}

@media screen and (max-width: 319px) {
  .webauthn-register-button {
    margin-bottom: 4px;
    padding: 11px 11px;
  }
}
